#
# spec file for package chirp
#

Name:           chirp
Version:        20220808
Release:        lp152.1.1
Summary:        Tool for programming amateur radio sets
License:        GPL-3.0
Group:          Productivity/Hamradio/Other
Url:            http://chirp.danplanet.com/projects/chirp/wiki/Home
Source:         http://trac.chirp.danplanet.com/chirp_daily/LATEST/%{name}-daily-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  update-desktop-files
%if 0%{?suse_version} >= 1510
BuildRequires:  python2-libxml2
BuildRequires:  python2-pyserial
Requires:       python2-libxml2
Requires:       python2-pyserial
%else
BuildRequires:  python-gtk
BuildRequires:  python-libxml2
BuildRequires:  python-pyserial
Requires:       python-gtk
Requires:       python-libxml2
Requires:       python-pyserial
%endif


%description
CHIRP is a free, open-source tool for programming your amateur radio. It
supports a large number of manufacturers and models, as well as provides
a way to interface with multiple data sources and formats.

%prep
%setup -n %{name}-daily-%{version}

%build
python2 setup.py build

%install
python2 setup.py install --root=%{buildroot} --prefix=/usr

rm -rf %{buildroot}%{_datadir}/doc/%{name}

%suse_update_desktop_file -c chirp CHIRP "Amateur Radio Rig Programming Tool" chirpw chirp "Network;HamRadio"

%files
%{_bindir}/chirpw
%{_bindir}/rpttool
%{_datadir}/%{name}
%doc PKG-INFO
%if 0%{?suse_version} >= 1330
%license COPYING
%else
%doc COPYING
%endif
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/*.egg-info
%{python_sitelib}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/chirpw.1.gz

%changelog
* Sun Aug 14 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220808
* Tue Jul 26 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220726
* Mon Jul  4 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220703
* Mon Jun 20 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220620
* Mon Jun 13 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220613
* Sun Jun  5 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220604
* Sat Jun  4 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220602
* Wed Jun  1 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220531
* Mon May 16 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220515
* Fri Apr  8 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220408
* Sat Apr  2 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220402
* Tue Mar  8 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220308
* Sat Feb 19 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220219
* Fri Feb 11 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220210
* Wed Feb  2 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220202
* Tue Jan 18 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220118
* Sun Jan 16 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220115
* Wed Jan  5 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20220103
* Wed Dec 22 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211221
* Thu Dec 16 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211216
* Mon Dec 13 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211213
* Tue Dec  7 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211207
* Thu Nov 18 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211118
* Tue Nov 16 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211116
* Fri Nov  5 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211105
* Sun Oct 17 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20211016
* Thu Sep 30 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210930
* Thu Sep 23 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210922
* Sun Sep 19 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210919
* Mon Aug 30 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210830
* Sat Aug 21 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210821
* Sat Aug 14 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210814
* Sat Jul 24 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210724
* Thu Jul 15 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210706
* Mon Jul  5 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210705
* Sun Jun 20 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210618
* Mon Jun 14 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210612
* Fri May 21 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210520
* Sun May  2 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210429
* Wed Apr 28 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210428
* Fri Apr 16 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210416
* Wed Apr  7 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210406
* Wed Mar 10 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210310
* Sun Mar  7 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210307
* Fri Feb 12 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210212
* Wed Jan 13 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20210110
* Mon Dec 21 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20201221
* Mon Nov 30 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20201128
* Thu Nov 26 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20201125
* Sun Nov 22 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20201121
* Fri Nov 20 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 20201120
* Wed Oct 14 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20201014
* Sat Oct 10 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20201008
* Wed Sep  9 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200909
* Wed Sep  2 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200902
* Thu Aug 27 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200827
* Fri Aug  7 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200807
* Mon Jul 20 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200718
* Mon Jul 13 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200711
* Mon Jun 22 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200622
* Fri Jun  5 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200603
* Thu May 21 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200521
* Sat May 16 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200516
* Thu Apr 30 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200430
* Fri Apr 10 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200409
* Thu Feb 27 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200227
* Thu Feb 13 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200213
* Sat Feb  8 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily 20200207
- fixed build for Tumbleweed and Factory
* Wed Feb  5 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20200204
* Fri Jan 10 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20200107
* Sat Jan  4 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20200104
* Sat Dec 21 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191221
* Sun Dec  8 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191206
* Thu Dec  5 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191205
* Sat Nov 23 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191123
* Tue Nov 19 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191119
* Fri Nov 15 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191110
* Tue Oct 29 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191029
* Fri Oct 25 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191022
* Sat Oct 19 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20191018
* Wed Sep 25 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190925
- fix build for Tumbleweed
* Thu Sep  5 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190905
* Thu Aug 29 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190829
* Sat Aug 24 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190824
* Sun Aug 18 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190817
* Fri Aug 16 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190812
* Sat Jul 20 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190718
* Sat Jul 13 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190713
* Fri Jul 12 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190712
* Thu Jul  4 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190703
* Thu Jun 27 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190626
* Sun Jun  2 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190601
* Fri May 24 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190524
* Thu May 16 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190516
* Sat May 11 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190511
* Mon Apr 29 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190429
* Thu Apr 25 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190424
* Thu Apr 18 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190412
* Thu Mar 21 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190321
* Tue Mar  5 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190304
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190222
* Wed Feb  6 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190206
* Sun Feb  3 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190201
* Tue Jan 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190120
* Sun Jan 13 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190112
* Fri Jan  4 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20190104
* Sat Dec 15 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20181214
* Thu Dec  6 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20181205
* Wed Nov 28 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20181128
* Thu Oct 18 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20181018
* Wed Oct 10 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version daily-20181009
* Sat Sep  8 2018 wk@ire.pw.edu.pl
- update to version daily-20180906
* Mon Aug 20 2018 wk@ire.pw.edu.pl
- update to version daily-20180815
* Sat Jul  7 2018 wk@ire.pw.edu.pl
- update to version daily-20180707
* Sat Jun 23 2018 wk@ire.pw.edu.pl
- update to version daily-20180623
* Wed Jun  6 2018 wk@ire.pw.edu.pl
- update to version daily-20180606
* Sun May 20 2018 wk@ire.pw.edu.pl
- update to version daily-20180519
* Sat May 12 2018 wk@ire.pw.edu.pl
- update to version daily-20180510
* Sat Apr 14 2018 wk@ire.pw.edu.pl
- update to version daily-20180412
* Sun Mar 25 2018 wk@ire.pw.edu.pl
- update to version daily-20180325
* Sun Mar 11 2018 wk@ire.pw.edu.pl
- update to version daily-20180309
* Sun Feb 11 2018 wk@ire.pw.edu.pl
- update to version daily-20180210
* Sat Jan 20 2018 wk@ire.pw.edu.pl
- update to version daily-20180115
* Thu Jan  4 2018 wk@ire.pw.edu.pl
- update to version daily-20180104
* Fri Dec 29 2017 wk@ire.pw.edu.pl
- update to version daily-20171229
* Mon Dec  4 2017 wk@ire.pw.edu.pl
- update to version daily-20171204
* Thu Nov 23 2017 wk@ire.pw.edu.pl
- update to version daily-20171120
* Fri Oct 13 2017 wk@ire.pw.edu.pl
- update to version daily-20171013
* Tue Oct 10 2017 wk@ire.pw.edu.pl
- update to version daily-20171008
* Sun Jul 16 2017 wk@ire.pw.edu.pl
- update to version daily-20170714
* Thu Jun 15 2017 wk@ire.pw.edu.pl
- update to version daily-20170608
* Sat May  6 2017 frede@b1-systems.de
- update to version daily-20170501
* Fri Mar 31 2017 wk@ire.pw.edu.pl
- update to version daily-20170330
* Sat Mar 25 2017 wk@ire.pw.edu.pl
- update to version daily-20170324
* Wed Dec 28 2016 wk@ire.pw.edu.pl
- update to version daily-20161220
* Sun Oct 23 2016 wk@ire.pw.edu.pl
- update to version daily-20161018
* Thu Sep  1 2016 wk@ire.pw.edu.pl
- update to version daily-20160830
* Mon Jul 25 2016 wk@ire.pw.edu.pl
- update to version daily-20160717
* Sun Jun 19 2016 wk@ire.pw.edu.pl
-  update to version daily-20160615
* Sat Jun  4 2016 wk@ire.pw.edu.pl
- update to version daily-20160604
* Sat May 21 2016 wk@ire.pw.edu.pl
- update to version daily-20160517
* Fri Mar 11 2016 frede@b1-systems.de
- update to version daily-20160309
* Sun Jan 31 2016 frede@b1-systems.de
- update to version daily-20160128
* Fri Jan 22 2016 frede@b1-systems.de
- update to version daily-20160116
* Tue Oct 21 2014 dl8fcl@darc.de
- updated to version 0.4.1
* Mon Apr 21 2014 dl8fcl@darc.de
- spec file updated for openSUSE
- GenericName in desktop file changed
* Sat Apr  5 2014 wk@ire.pw.edu.pl - 0.4.0-2
- updated to version 0.4.0
* Mon Feb 17 2014 wk@ire.pw.edu.pl - 0.3.1-1
- version 0.3.1
- initial specfile
